[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CMShowingChanged

Handles the CM_SHOWINGCHANGED control message for the form.

## Declaration

Source position: forms.pp line 624

`protected procedure TCustomForm.CMShowingChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message processed in the method.

## Description

Uses the value in Showing to determine whether the DoShow or the DoHide method is called. When Showing is True, the DoShow method is called to signal the OnShow event handler (when assigned) if needed. When Showing is False, the DoHide method is called to signal the OnHide event handler (when assigned).

If either event handler raises an Exception, it is ignored when HandleShowHideException is set to True. It is re-raised when HandleShowHideException is False.

Calls the inherited method prior to exit to notify the widgetset class of the window state change, and to update window control flags for the form.